Summary: The GNU disk partition manipulation program.
Name: parted
Version: 1.2.8
Release: 2
Copyright: GPL
Group: Applications/System
Buildroot: %{_tmppath}/%{name}-root
Source0: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Patch0: parted-1.0.17-alpha-kernel-header.patch
Patch1: parted-1.2.8-strtok.patch
ExclusiveArch: i386
%define _sbindir /sbin

%description
GNU Parted is a program that allows you to create, destroy, resize,
move and copy hard disk partitions. This is useful for creating space
for new operating systems, reorganising disk usage, and copying data
to new hard disks.

%package devel
Summary: The GNU disk partition manipulation program development files.
Group: Development/Libraries

%description devel
The GNU Parted library is a set of routines for disk partition
manipulation.  It contains functions that allow you to create,
destroy, resize, move and copy hard disk partitions.  Install the
parted-devel package if you wish to develop programs that manipulate
disk partitions and filesystems.

%prep
%setup -q
%patch0 -p1 -b .alpha
%patch1 -p1

%build
autoconf
%configure --disable-shared
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root)
%doc AUTHORS BUGS ChangeLog README THANKS TODO doc/USER*
%{_mandir}/*/*
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_sbindir}/*

%files devel
%defattr (-, root, root)
%{_libdir}/libparted*
%{_includedir}/parted

%changelog
* Tue Aug 29 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- fix bug when just hitting "return" with no user input

* Sun Aug 20 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- 1.2.8
- blksize patch not needed anymore
- move changelog to the end of the spec file

* Wed Aug 16 2000 Matt Wilson <msw@redhat.com>
- 1.2.7
- patched configure script to ignore the 2.4 blkpg.h header (fixes #15835).

* Fri Aug  4 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.6

* Sat Jul 22 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.5
- add more docu

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 12 2000 Matt Wilson <msw@redhat.com>
- initialization of spec file.
